Unverified Commit f1191a4a authored by Aral Balkan's avatar Aral Balkan
Browse files

Now supported on Node 6.11.3 (LTS)

parent ef4bbcbb
......@@ -193,8 +193,8 @@ ensureNodeIsTheCorrectVersion(){
# (Not using the LTS signifier here to avoid potential surprises)
#
set +e
n 4.4.7
[[ $? -ne 0 ]] && echo "Installing node requires root permissions on this system. Retrying with sudo…" && sudo n 4.4.7 || echo "Node successfully installed."
n 6.11.3
[[ $? -ne 0 ]] && echo "Installing node requires root permissions on this system. Retrying with sudo…" && sudo n 6.11.3 || echo "Node successfully installed."
set -e
}
......
......@@ -10,7 +10,7 @@
"author": "Aral Balkan",
"license": "AGPL-3.0",
"engines": {
"node": "4.4.0"
"node": "6.11.3"
},
"dependencies": {
"body-parser": "1.14.1",
......
......@@ -8,6 +8,8 @@ Requires [Node.js](https://nodejs.org) and [npm](https://docs.npmjs.com/getting-
<small>(npm is automatically installed with recent versions of Node. The actual version of Node you have is unimportant as the installation script will install [n](https://github.com/tj/n) and configure the version that it needs.)</small>
Supported on Node.js version: 6.11.3 (LTS)
## Installation
Normally, you will not need to install this project manually, as the [Better iOS app](https://source.ind.ie/better/app) will install it for you. In case you want to install it separately from the iOS app, just run:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment